package cn.hanghui.outapi.platform.tenant.entity.enums;

import cn.hutool.core.util.StrUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description: 证件类型
 * @ClassName
 */
@AllArgsConstructor
@Getter
public enum CameraBrandEnum {

    NORMAL("Normal", "通用"),
    MARIO("Mario", "马里奥"),
    ;

    public static CameraBrandEnum getEnumByCode(String code){
        if(StrUtil.isBlank(code)){
            return null;
        }
        for (CameraBrandEnum enumObject : values()){
            if(enumObject.code.equals(code)){
                return enumObject;
            }
        }
        return null;
    }
    private String code;
    private String desc;


}
